curl --request POST \
--url https://api.hubapi.com/crm/lists/2026-09/all \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"additionalProperties": [
"<string>"
],
"processingTypes": [
"<string>"
],
"after": "<string>",
"count": 123,
"objectTypeId": "<string>"
}
'import requests
url = "https://api.hubapi.com/crm/lists/2026-09/all"
payload = {
"additionalProperties": ["<string>"],
"processingTypes": ["<string>"],
"after": "<string>",
"count": 123,
"objectTypeId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
additionalProperties: ['<string>'],
processingTypes: ['<string>'],
after: '<string>',
count: 123,
objectTypeId: '<string>'
})
};
fetch('https://api.hubapi.com/crm/lists/2026-09/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/lists/2026-09/all",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'additionalProperties' => [
'<string>'
],
'processingTypes' => [
'<string>'
],
'after' => '<string>',
'count' => 123,
'objectTypeId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/lists/2026-09/all"
payload := strings.NewReader("{\n \"additionalProperties\": [\n \"<string>\"\n ],\n \"processingTypes\": [\n \"<string>\"\n ],\n \"after\": \"<string>\",\n \"count\": 123,\n \"objectTypeId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hubapi.com/crm/lists/2026-09/all")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"additionalProperties\": [\n \"<string>\"\n ],\n \"processingTypes\": [\n \"<string>\"\n ],\n \"after\": \"<string>\",\n \"count\": 123,\n \"objectTypeId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/lists/2026-09/all")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"additionalProperties\": [\n \"<string>\"\n ],\n \"processingTypes\": [\n \"<string>\"\n ],\n \"after\": \"<string>\",\n \"count\": 123,\n \"objectTypeId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"results": [
{
"additionalProperties": {},
"listId": "<string>",
"listVersion": 123,
"name": "<string>",
"objectTypeId": "<string>",
"processingStatus": "<string>",
"processingType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"filtersUpdatedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedById": "<string>"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
},
"total": 123
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}List all
Retrieve all lists in the CRM system. This endpoint allows you to fetch a comprehensive list of all available lists, which can be useful for managing and organizing your CRM data effectively.
curl --request POST \
--url https://api.hubapi.com/crm/lists/2026-09/all \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"additionalProperties": [
"<string>"
],
"processingTypes": [
"<string>"
],
"after": "<string>",
"count": 123,
"objectTypeId": "<string>"
}
'import requests
url = "https://api.hubapi.com/crm/lists/2026-09/all"
payload = {
"additionalProperties": ["<string>"],
"processingTypes": ["<string>"],
"after": "<string>",
"count": 123,
"objectTypeId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
additionalProperties: ['<string>'],
processingTypes: ['<string>'],
after: '<string>',
count: 123,
objectTypeId: '<string>'
})
};
fetch('https://api.hubapi.com/crm/lists/2026-09/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/lists/2026-09/all",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'additionalProperties' => [
'<string>'
],
'processingTypes' => [
'<string>'
],
'after' => '<string>',
'count' => 123,
'objectTypeId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/lists/2026-09/all"
payload := strings.NewReader("{\n \"additionalProperties\": [\n \"<string>\"\n ],\n \"processingTypes\": [\n \"<string>\"\n ],\n \"after\": \"<string>\",\n \"count\": 123,\n \"objectTypeId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hubapi.com/crm/lists/2026-09/all")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"additionalProperties\": [\n \"<string>\"\n ],\n \"processingTypes\": [\n \"<string>\"\n ],\n \"after\": \"<string>\",\n \"count\": 123,\n \"objectTypeId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/lists/2026-09/all")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"additionalProperties\": [\n \"<string>\"\n ],\n \"processingTypes\": [\n \"<string>\"\n ],\n \"after\": \"<string>\",\n \"count\": 123,\n \"objectTypeId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"results": [
{
"additionalProperties": {},
"listId": "<string>",
"listVersion": 123,
"name": "<string>",
"objectTypeId": "<string>",
"processingStatus": "<string>",
"processingType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"filtersUpdatedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedById": "<string>"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
},
"total": 123
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
An array of strings representing additional properties to include in the list retrieval.
An array of strings specifying the types of processing to apply to the request.
A string used as a paging cursor token to retrieve the next set of results.
An integer specifying the number of results to retrieve.
A string representing the unique identifier for the object type of the lists.
Response
successful operation
An array of PublicObjectListSearchResult objects representing the individual search results.
Show child attributes
Show child attributes
Represents the pagination information for navigating through a list of results in the API. It provides details on how to access the previous or next set of results.
Show child attributes
Show child attributes
An integer representing the total number of results available in the search, formatted as a 64-bit integer.
Was this page helpful?